Subject: Re: bug#54802: OClosure: Make `interactive-form` a generic function

From: Stefan Monnier <[email-masked]>
Date: Tue, 19 Apr 2022 08:38:47 -0400

> I'm sorry, but I think the cleanest fix is too much to pay for a minor
> feature such as this one.

I don't see much price to pay here.

Am I the only here who finds that defining `interactive-form` as
an ELisp generic function is, in itself, a good idea (not good enough
to do it without a good reason, but something I put on the side of
"advantages" rather than "defects" when assessing my patch)?

> Can't you find a less intrusive way of fixing these issues, one that
> doesn't affect all of Emacs for the benefit of one or two packages of
> minor importance?

Not sure what you mean by "affect all of Emacs".  It affects
a well-delimited (and small) part of the code.  `interactive-form` is
a rather simple function with a well understood semantics.

Are you worried about introducing bugs, about the performance impact,
or something else?

        Stefan